#ifndef DRAWABLE_H
#define DRAWABLE_H

#include "vec4.h"
#include <gl/glut.h>
#include <gl/glext.h>

class Drawable{
protected:
	GLuint *textures;
	GLuint displayIndex;
public:
	vec4d position;
	virtual void setup(GLuint displayIndex, GLuint textures[]){
		this->textures = textures;
		this->displayIndex = displayIndex;
	};
	virtual void draw() = 0;
	virtual void update(int msDelta) = 0;
	virtual ~Drawable(){};
};

#endif //DRAWABLE_H