#ifndef UI_H
#define UI_H
#include "mat4.h"
#include "vec4.h"
#include "GL/glut.h"

struct bmpString{
	void *font;
	char *string;
	vec4d worldPosition;
	vec4d screenPosition;
	vec4d color;
	vec4d offset;
};

void toScreenCoord(vec4d &pointIn, vec4d &pointOut);
void toScreenCoord(bmpString &bString);
void centerString(bmpString &bString);
void drawCrosshairs();
void drawString(void *font, char *string, vec4d screenPosition, vec4d color);
void drawString(bmpString &bString);
void UIstart();
void UIend();

#endif //UI_H