#ifndef DEFINES_H
#define DEFINES_H

#define PI				3.14159
#define FPS				60
#define W_WIDTH			800
#define W_HEIGHT		600

//rotation flags
#define	X_POS			0x0001
#define X_NEG			0x0002
#define Y_POS			0x0004
#define Y_NEG			0x0008
#define Z_POS			0x0010
#define Z_NEG			0x0020

// display list indices
#define CUBE_LIST		0
#define SPHERE_LIST		1
#define SKYBOX_LIST		2
#define GROUND_LIST		3

// texture indices
#define NUM_TEXTURES	9
#define SPHERE_TEXTURE	0
#define GROUND_TEXTURE	1
#define CUBE_TEXTURE	2
#define POS_X			3
#define POS_Y			4
#define POS_Z			5
#define NEG_X			6
#define	NEG_Y			7
#define	NEG_Z			8

//Camera flags
#define	CAMERA_FORWARD	0x0001
#define CAMERA_BACK		0x0002
#define CAMERA_LEFT		0x0004
#define CAMERA_RIGHT	0x0008

#endif //DEFINES_H