#ifndef LIGHT_H
#define LIGHT_H

#include "vec4.h"

struct Light{
	unsigned int lightNum;
	vec4f position;
	vec4f ambient;
	vec4f diffuse;
	vec4f specular;

	void set(){
		glLightfv(lightNum, GL_POSITION, position);
		glLightfv(lightNum, GL_AMBIENT, ambient);
		glLightfv(lightNum, GL_DIFFUSE, diffuse);
		glLightfv(lightNum, GL_SPECULAR, specular);
	}

	void enable(){
		glEnable(lightNum);
	}

	void disable(){
		glDisable(lightNum);
	}
};

#endif //LIGHT_H