#ifndef RENDER_H
#define RENDER_H
#include "scene.h"
#include "Camera.h"
#include "UI.h"

struct Window{
	GLint w, h;
	GLfloat aspectRatio(){return (GLfloat)w/(GLfloat)h;}
};

void setup();
void update(int msDelta);
void displayFunc();
void keyboardFunc(unsigned char key, int mx, int my);
void keyboardUpFunc(unsigned char key, int mx, int my);
void reshapeFunc(int width, int height);
void processLeftClick(int x, int y);
void mouseFunc(int button, int state, int x, int y);
void motionFunc(int x, int y);
void cleanup();

#endif //RENDER_H